Create Table Evento(
CodEvento Varchar2(5),
NomeEvento Varchar2(70),
Localidade Varchar2(70),
Verba NUMBER(10,2),
Duracao NUMBER(2,0),
Ingresso NUMBER(5,0),
CodCliente Varchar2(5),
Constraint pk_evento Primary Key (CodEvento)
);


Create Table Trabalha(
CodEvento Varchar2(5),
CPF Varchar2(11),
Constraint pk_trabalha Primary Key (CodEvento, CPF)
);


Create Table Empregado(
NomeEmpregado Varchar2(70),
Logradouro Varchar2(70),
CEP NUMBER(8,0),
CPF Varchar2(11),
Telefone Varchar2(20),
RG NUMBER(7,0),
NumCartTrab NUMBER(10,0),
Salario NUMBER(8,0),
Expediente NUMBER(2,0),
Constraint pk_empregado Primary Key (CPF)
);


Create Table Contata(
CodEvento Varchar2(5),
CodTerceirizados Varchar2(5)
);


Create Table Terceirizados(
CodTerceirizados Varchar2(5),
NomeTerceirizados Varchar2(70),
Tipo Varchar2(70),
Telefone Varchar2 (20),
Custo NUMBER(7,2),
Constraint pk_terceirizados Primary Key (CodTerceirizados)
);


Create Table Publicidade(
CodEvento Varchar2(5),
CodPublicidade Varchar2(5),
NomePublicidade Varchar2(10),
Valor NUMBER(10,2),
Constraint pk_publicidade Primary Key (CodPublicidade)
);


Create Table Difusao(
CodPublicidade Varchar2(5),
TV Varchar2(3),
Radio Varchar2(3),
Outdoor Varchar2(3),
SiteOficial Varchar2(3),
MidiaImpressa Varchar2(3),
Constraint pk_difusao Primary Key (CodPublicidade)
);


Create Table Cliente(
CodCliente Varchar2(5),
NomeCliente Varchar2(70),
Logradouro Varchar2(70),
CEP NUMBER(8,0),
Telefone Varchar2(20),
Constraint pk_cliente Primary Key (CodCliente)
);


Create Table PessoaFisica(
CodCliente Varchar2(5),
CPF Varchar2(11)
);


Create Table PessoaJuridica(
CodCliente Varchar2(5),
CNPJ Varchar2(14)
);


Create Table Convida(
CodEvento  Varchar2(5),
CodConvidadoEvento Varchar2(5),
NomeConvidado Varchar2(70),
VIP Varchar2(3),
Constraint pk_convida Primary Key (CodConvidadoEvento)
);


Create Table Convidados(
NomeConvidado Varchar2(10),
Constraint pk_convidados Primary Key (NomeConvidado)
);

create table ola(
nome varchar2(10)
);

drop table ola;



--Restrio Cliente
ALTER TABLE Evento ADD Constraint fk_evento_cliente Foreign Key (CodCliente) References Cliente (CodCliente);


--Restrio Trabalha
ALTER TABLE Trabalha ADD Constraint fk_trabalha_evento Foreign Key (CodEvento) References Evento (CodEvento);
ALTER TABLE Trabalha ADD Constraint fk_trabalha_empregado Foreign Key (CPF) References Empregado (CPF);


--Restrio Contata
ALTER TABLE Contata ADD Constraint fk_contata_evento Foreign Key (CodEvento) References Evento (CodEvento);
ALTER TABLE Contata ADD Constraint fk_contata_tercerizados Foreign Key (CodTerceirizados) References Terceirizados (CodTerceirizados);


--Restrio Publicidade
ALTER TABLE Publicidade ADD Constraint fk_publicidade_evento Foreign Key (CodEvento) References Evento (CodEvento);


--Restrio Difuso
ALTER TABLE Difusao ADD Constraint fk_difusao_publicidade Foreign Key (CodPublicidade) References Publicidade (CodPublicidade);


--Restrio Pessoa Fsica
ALTER TABLE PessoaFisica ADD Constraint fk_pessoafisica_cliente Foreign Key (CodCliente) References Cliente (CodCliente);


--Restrio Pessoa Jurdica
ALTER TABLE PessoaJuridica ADD Constraint fk_pessoajuridica_cliente Foreign Key (CodCliente) References Cliente (CodCliente);


--Restrio Convida
ALTER TABLE Convida ADD Constraint fk_convida_evento Foreign Key (CodEvento) References Evento (CodEvento);
ALTER TABLE Convida ADD Constraint fk_convida_convidados Foreign Key (NomeConvidado) References Convidados (NomeConvidado);


DELETE FROM Empregado;
DELETE FROM Trabalha;
DELETE FROM Evento;
DELETE FROM Contata;
DELETE FROM Convida;
DELETE FROM Convidados;
DELETE FROM Terceirizados;
DELETE FROM Publicidade;
DELETE FROM Cliente;
DELETE FROM PessoaFisica;
DELETE FROM PessoaJuridica;
DELETE FROM Difusao;
COMMIT;
